Package ru.bgcrm.plugin.bgbilling.proto.model.dispatch

# Class Contact

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.dispatch.Contact

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

public class Contact extends Id
Контакт для отправки сообщений

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contact()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContactTypeId()`
  Возвращает тип данного контакта
  `int`
  `getContractId()`
  `String`
  `getDefaultValue()`
  Возвращает значение контакта по умолчанию
  `String`
  `getValue()`
  Возвращает значение контакта
  `String`
  `getValueForSend()`
  Возвращает значение контакта для отправки
  `String`
  `getValueForView()`
  Возвращает значение контакта для отправки просмотра
  `void`
  `setContactTypeId(int contactTypeId)`
  Устанавливает тип для данного контакта
  `void`
  `setContractId(int contractId)`
  `void`
  `setDefaultValue(String defaultValue)`
  Устанавливает значение контакта по умолчанию
  `void`
  `setValue(String value)`
  Устанавливает значение контакта
  `String`
  `toString()`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Contact

    public Contact()

- ## Method Details

  - ### setValue

    public void setValue(String value)
    Устанавливает значение контакта
    Parameters:
      `value` -

  - ### getValue

    public String getValue()
    Возвращает значение контакта
    Returns:

  - ### getValueForSend

    public String getValueForSend()
    Возвращает значение контакта для отправки
    Returns:

  - ### getValueForView

    public String getValueForView()
    Возвращает значение контакта для отправки просмотра
    Returns:

  - ### setContactTypeId

    public void setContactTypeId(int contactTypeId)
    Устанавливает тип для данного контакта
    Parameters:
      `contactTypeId` -

  - ### getContactTypeId

    public int getContactTypeId()
    Возвращает тип данного контакта
    Returns:

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDefaultValue

    public String getDefaultValue()
    Возвращает значение контакта по умолчанию
    Returns:

  - ### setDefaultValue

    public void setDefaultValue(String defaultValue)
    Устанавливает значение контакта по умолчанию
    Parameters:
      `defaultValue` -